Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Blechvorlage

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Blechvorlage (528 mal gelesen)
tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 94
Registriert: 21.01.2010

Inventor professional 2019
Win 7 64
DELL precision M6800
shining3D einscan pro plus

erstellt am: 10. Mai. 2019 15:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe Forengemeinde,
gemäß https://knowledge.autodesk.com/de/support/inventor-products/learn-explore/caas/CloudHelp/cloudhelp/2018/DEU/Inventor-Help/files/GUID-78E0CC17-761A-4BA3-ADA5-5F67EBA79C3C-htm.html --unterer Absatz
habe ich eine Vorlage mit den benötigten iProperties erstellt und als "sheet metal.ipt" als Template abgespeichert.
Meine Hoffnung: Wenn ich ein altes Blechbauteil in ein Norm-Bauteil umwandle und dann wieder zu einem Blechbauteil mache, sollten sich die iProperties erneuern.
Das klappt aber leider überhaupt nicht. Sogar einfache neu erstellte Norm-Bauteile bleiben ohne iProperties, wenn ich sie zu einem Blech umwandle.
Wie geht es wirklich?

------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

himmelblau
Mitglied



Sehen Sie sich das Profil von himmelblau an!   Senden Sie eine Private Message an himmelblau  Schreiben Sie einen Gästebucheintrag für himmelblau

Beiträge: 379
Registriert: 11.11.2004

erstellt am: 10. Mai. 2019 15:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tschütte 10 Unities + Antwort hilfreich

Wenste umwandelst von blech nach norm oder zurück wird keine vorlage verwendet. Vorlagen gelten nur wennste neue dateien erzeugst. Zum übertragen von iproperties gibts den konstruktionsassi.

------------------
himmelblau

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 94
Registriert: 21.01.2010

Inventor professional 2019
Win 7 64
DELL precision M6800
shining3D einscan pro plus

erstellt am: 11. Mai. 2019 10:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo himmelblau,
mit dem Konstruktionsassistenten habe ich es noch nicht versucht. Der hat für mich letztens die Wiederverwendung eines Bauteils in BGen aufzeigen sollen und nach langer Wartezeit kein brauchbares Ergebnis hervorgebracht (kein Vault installiert...). Ich werde es aber trotzdem ausprobieren. Vielen Dank für Deinen Hinweis.
Was mir noch einfällt: In einer übergeordneten BG in der Stücklistenansicht die gewünschten Eigenschaften kopieren und an der richtigen Stelle einfügen. Da aber nicht das "Nach-unten kopieren" benutzen, denn bei Erreichen des Fensterrandes breitet sich der Markierungsbereich unheimlich schnell aus und überschreibt leicht viel mehr, als gewünscht war.
Eine weitere Möglichkeit wäre vielleicht ein VBA-Makro oder eine iLogic-Regel. Für entsprechende Code-Schnipsel wäre ich dankbar. Benötigte iProperties: AbwicklungsLänge, AbwicklungsBreite, Objekthöhe (in früheren Versionen "Stärke"), sowie ein paar konstante Text-Werte.

Ein schönes Wochenende und

------------------
Herzliche Grüße
Thomas

[Diese Nachricht wurde von tschütte am 11. Mai. 2019 editiert.]

[Diese Nachricht wurde von tschütte am 11. Mai. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

3d-freelancer
Mitglied



Sehen Sie sich das Profil von 3d-freelancer an!   Senden Sie eine Private Message an 3d-freelancer  Schreiben Sie einen Gästebucheintrag für 3d-freelancer

Beiträge: 161
Registriert: 10.02.2011

Intel Core i7-950, 3,06GHz Quad Core, 12GB RAM,
WIN7 Prof. 64bit
Nvidia Quadro 4000
Space Controller
Product Design Suite Premium 2016
Product Design Suite Premium 2018
Product Design Suite Premium 2019

erstellt am: 12. Mai. 2019 12:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tschütte 10 Unities + Antwort hilfreich

Hallo,
es gibt noch eine andere Möglichkeit der Übertragung von iproperties:

- in der Baugruppenvorlage die benötigten benutzerdefinierten iproperties erstellen und in der BG Stückliste sichtbar schalten
- neue BG mit der angepassten Vorlage erstellen und die zu ändernden Bauteile in die BG einfügen
- BG Stückliste der neuen BG öffnen und die gewünschten Werte in die Felder der zu ändernden Bauteile eintragen
- BG speichern. Nun wurden die neuen iproperties in die entsprechenden Bauteile übernommen.

Ich hoffe das hilft
Gruß
Burkhard

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meierjo
Mitglied



Sehen Sie sich das Profil von Meierjo an!   Senden Sie eine Private Message an Meierjo  Schreiben Sie einen Gästebucheintrag für Meierjo

Beiträge: 139
Registriert: 20.08.2003

Windows 7 Professional 64 Bit
Inventor Professional 2019.3, Build 278
Vault Basic 2019.1.1, Build 24.1.42.0

erstellt am: 13. Mai. 2019 06:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tschütte 10 Unities + Antwort hilfreich

Hallo

Dieser VBA-Code erstellt dir die iProps in einer IPT , wenn noch nicht vorhanden

Code:
Sub Ben_def_iProperties_erstellen()
   
     Set oDoc = ThisApplication.ActiveDocument
    'Wenn kein Dokument offen, beenden
    If oDoc Is Nothing Then Exit Sub
       
    'nur aus einer *.ipt ausführen
    If oDoc.DocumentType <> kPartDocumentObject Then
        MsgBox "Dieser Befehl kann nur aus einer Bauteil-Datei (*.ipt) ausgeführt werden!!", vbCritical, "@Copyright by meierjo"
        Exit Sub
    End If
   
    On Error Resume Next
   
    Set prop = oDoc.PropertySets("Inventor User Defined Properties").Item("AbwicklungsLänge")
    If Err Then
        'Ipropertie existiert nicht, wird erstellt
        userform1.TBSprache_FR.BackStyle = fmBackStyleOpaque
        oDoc.PropertySets("Inventor User Defined Properties").Add "", "AbwicklungsLänge"
    End If
   
    Set prop = oDoc.PropertySets("Inventor User Defined Properties").Item("AbwicklungsBreite")
    If Err Then
        'Ipropertie existiert nicht, wird erstellt
        userform1.TBSprache_FR.BackStyle = fmBackStyleOpaque
        oDoc.PropertySets("Inventor User Defined Properties").Add "", "AbwicklungsBreite"
    End If
   
    Set prop = oDoc.PropertySets("Inventor User Defined Properties").Item("Objekthöhe")
    If Err Then
        'Ipropertie existiert nicht, wird erstellt
        userform1.TBSprache_FR.BackStyle = fmBackStyleOpaque
        oDoc.PropertySets("Inventor User Defined Properties").Add "", "Objekthöhe"
    End If
   
    Err = 0

End Sub


Gruss

[Diese Nachricht wurde von Meierjo am 13. Mai. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 94
Registriert: 21.01.2010

Inventor professional 2019
Win 7 64
DELL precision M6800
shining3D einscan pro plus

erstellt am: 14. Mai. 2019 20:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Burkhard,
auch eine interessante Variante. Ich werde sie ausprobieren. Vielen Dank und

------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 94
Registriert: 21.01.2010

Inventor professional 2019
Win 7 64
DELL precision M6800
shining3D einscan pro plus

erstellt am: 14. Mai. 2019 20:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Meierjo,
vielen Dank für den VBA-Code. Ich denke, diese Möglichkeit ist für mich am praktikabelsten.

------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz